# Uses of Interface
org.eclipse.equinox.security.auth.credentials.IPublicCredential

Packages that use IPublicCredential
Package
Description
org.eclipse.equinox.security.auth.credentials
Defines basic user credentials

## Uses of IPublicCredential in org.eclipse.equinox.security.auth.credentials

Methods in org.eclipse.equinox.security.auth.credentials that return IPublicCredential
Modifier and Type
Method
Description
`static IPublicCredential`
CredentialsFactory.`publicCredential(String name, Principal[] roles, String providerID)`
Login modules can use this method to create new public credentials as a result of the login process.
`static IPublicCredential`
CredentialsFactory.`publicCredential(String name, Principal primaryRole, String providerID)`
Login modules can use this method to create new public credentials as a result of the login process.